Tp::BaseChannelCallType Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Tp::BaseChannelCallType Class Reference
Connection manager service implementation

Base class for implementations of Channel.Type.Call. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types
typedef Callback2 < QDBusObjectPath, const QVariantMap &, DBusError * > | CreateChannelCallback
typedef Callback2< bool, const QVariantMap &, DBusError * > | EnsureChannelCallback
typedef Callback1< void, DBusError * > | AcceptCallback
typedef Callback4< void, uint, const QString &, const QString &, DBusError * > | HangupCallback
typedef Callback1< void, DBusError * > | SetRingingCallback
typedef Callback1< void, DBusError * > | SetQueuedCallback
typedef Callback4 < QDBusObjectPath, const QString &, const Tp::MediaStreamType &, const Tp::MediaStreamDirection &, DBusError * > | AddContentCallback

## Public Member Functions
virtual | ~BaseChannelCallType ()
QVariantMap | immutableProperties () const
Tp::ObjectPathList | contents ()
QVariantMap | callStateDetails ()
uint | callState ()
uint | callFlags ()
Tp::CallStateReason | callStateReason ()
bool | hardwareStreaming ()
Tp::CallMemberMap | callMembers ()
Tp::HandleIdentifierMap | memberIdentifiers ()
uint | initialTransport ()
bool | initialAudio ()
bool | initialVideo ()
QString | initialAudioName ()
QString | initialVideoName ()
bool | mutableContents ()
void | setAcceptCallback (const AcceptCallback &cb)
void | setHangupCallback (const HangupCallback &cb)
void | setSetRingingCallback (const SetRingingCallback &cb)
void | setSetQueuedCallback (const SetQueuedCallback &cb)
void | setAddContentCallback (const AddContentCallback &cb)
void | setCallState (const Tp::CallState &state, uint flags, const Tp::CallStateReason &stateReason, const QVariantMap &callStateDetails)
void | setMembersFlags (const Tp::CallMemberMap &flagsChanged, const Tp::HandleIdentifierMap &identifiers, const Tp::UIntList &removed, const Tp::CallStateReason &reason)
BaseCallContentPtr | addContent (const QString &name, const Tp::MediaStreamType &type, const Tp::MediaStreamDirection &direction)
void | addContent (BaseCallContentPtr content)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseChannelCallTypePtr | create (BaseChannel *channel, bool hardwareStreaming, uint initialTransport, bool initialAudio, bool initialVideo, QString initialAudioName, QString initialVideoName, bool mutableContents=false)
template<typename BaseChannelCallTypeSubclass >
static SharedPtr < BaseChannelCallTypeSubclass > | create (BaseChannel *channel, bool hardwareStreaming, uint initialTransport, bool initialAudio, bool initialVideo, QString initialAudioName, QString initialVideoName, bool mutableContents=false)

## Public Attributes
CreateChannelCallback | createChannel
EnsureChannelCallback | ensureChannel
Tp::RequestableChannelClassList | requestableChannelClasses

## Protected Member Functions
| BaseChannelCallType (BaseChannel *channel, bool hardwareStreaming, uint initialTransport, bool initialAudio, bool initialVideo, QString initialAudioName, QString initialVideoName, bool mutableContents=false)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Channel.Type.Call.

## Member Typedef Documentation

typedef Callback2<QDBusObjectPath, const QVariantMap&, DBusError*> Tp::BaseChannelCallType::CreateChannelCallback

typedef Callback2<bool, const QVariantMap&, DBusError*> Tp::BaseChannelCallType::EnsureChannelCallback

typedef Callback1<void, DBusError*> Tp::BaseChannelCallType::AcceptCallback

typedef Callback4<void, uint, const QString &, const QString &, DBusError*> Tp::BaseChannelCallType::HangupCallback

typedef Callback1<void, DBusError*> Tp::BaseChannelCallType::SetRingingCallback

typedef Callback1<void, DBusError*> Tp::BaseChannelCallType::SetQueuedCallback

typedef Callback4<QDBusObjectPath, const QString&, const Tp::MediaStreamType&, const Tp::MediaStreamDirection&, DBusError*> Tp::BaseChannelCallType::AddContentCallback

## Constructor & Destructor Documentation

Tp::BaseChannelCallType::~BaseChannelCallType | ( |  | ) |
| virtual

Class destructor.

Tp::BaseChannelCallType::BaseChannelCallType | ( | BaseChannel * | channel,
|  | bool | hardwareStreaming,
|  | uint | initialTransport,
|  | bool | initialAudio,
|  | bool | initialVideo,
|  | QString | initialAudioName,
|  | QString | initialVideoName,
|  | bool | mutableContents = `false`
| ) |  |
| protected

Class constructor.

## Member Function Documentation

static BaseChannelCallTypePtr Tp::BaseChannelCallType::create | ( | BaseChannel * | channel,
|  | bool | hardwareStreaming,
|  | uint | initialTransport,
|  | bool | initialAudio,
|  | bool | initialVideo,
|  | QString | initialAudioName,
|  | QString | initialVideoName,
|  | bool | mutableContents = `false`
| ) |  |
| inlinestatic

template<typename BaseChannelCallTypeSubclass >

static SharedPtr<BaseChannelCallTypeSubclass> Tp::BaseChannelCallType::create | ( | BaseChannel * | channel,
|  | bool | hardwareStreaming,
|  | uint | initialTransport,
|  | bool | initialAudio,
|  | bool | initialVideo,
|  | QString | initialAudioName,
|  | QString | initialVideoName,
|  | bool | mutableContents = `false`
| ) |  |
| inlinestatic

QVariantMap Tp::BaseChannelCallType::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

Tp::ObjectPathList Tp::BaseChannelCallType::contents | ( |  | ) |

QVariantMap Tp::BaseChannelCallType::callStateDetails | ( |  | ) |

uint Tp::BaseChannelCallType::callState | ( |  | ) |

uint Tp::BaseChannelCallType::callFlags | ( |  | ) |

Tp::CallStateReason Tp::BaseChannelCallType::callStateReason | ( |  | ) |

bool Tp::BaseChannelCallType::hardwareStreaming | ( |  | ) |

Tp::CallMemberMap Tp::BaseChannelCallType::callMembers | ( |  | ) |

Tp::HandleIdentifierMap Tp::BaseChannelCallType::memberIdentifiers | ( |  | ) |

uint Tp::BaseChannelCallType::initialTransport | ( |  | ) |

bool Tp::BaseChannelCallType::initialAudio | ( |  | ) |

bool Tp::BaseChannelCallType::initialVideo | ( |  | ) |

QString Tp::BaseChannelCallType::initialAudioName | ( |  | ) |

QString Tp::BaseChannelCallType::initialVideoName | ( |  | ) |

bool Tp::BaseChannelCallType::mutableContents | ( |  | ) |

void Tp::BaseChannelCallType::setAcceptCallback | ( | const AcceptCallback & | cb | ) |

void Tp::BaseChannelCallType::setHangupCallback | ( | const HangupCallback & | cb | ) |

void Tp::BaseChannelCallType::setSetRingingCallback | ( | const SetRingingCallback & | cb | ) |

void Tp::BaseChannelCallType::setSetQueuedCallback | ( | const SetQueuedCallback & | cb | ) |

void Tp::BaseChannelCallType::setAddContentCallback | ( | const AddContentCallback & | cb | ) |

void Tp::BaseChannelCallType::setCallState | ( | const Tp::CallState & | state,
|  | uint | flags,
|  | const Tp::CallStateReason & | stateReason,
|  | const QVariantMap & | callStateDetails
| ) |  |

void Tp::BaseChannelCallType::setMembersFlags | ( | const Tp::CallMemberMap & | flagsChanged,
|  | const Tp::HandleIdentifierMap & | identifiers,
|  | const Tp::UIntList & | removed,
|  | const Tp::CallStateReason & | reason
| ) |  |

BaseCallContentPtr Tp::BaseChannelCallType::addContent | ( | const QString & | name,
|  | const Tp::MediaStreamType & | type,
|  | const Tp::MediaStreamDirection & | direction
| ) |  |

void Tp::BaseChannelCallType::addContent | ( | BaseCallContentPtr | content | ) |

## Member Data Documentation

CreateChannelCallback Tp::BaseChannelCallType::createChannel

EnsureChannelCallback Tp::BaseChannelCallType::ensureChannel

Tp::RequestableChannelClassList Tp::BaseChannelCallType::requestableChannelClasses